Appearance
应用接口 (V3)
获取应用信息
获取应用信息,包含应用下分组、工作表、自定义页面信息
请求
http
GET /v3/app请求头
Appkey: {appkey}
Sign: {签名}响应示例
json
{
"success": true,
"error_code": 0,
"error_msg": "",
"data": {
"organizationId": "28447959-cf7f-4ae9-XXXXXXXXXXXXXXX",
"appId": "b55d6ceb-b69a-44f0-a011-XXXXXXXXXXXXXXX",
"name": "客户关系管理",
"iconUrl": "https://fp1.example.cn/customIcon/sys_13_1_shop.svg",
"color": "#3054EB",
"desc": "",
"sections": [
{
"id": "676910ae3e6f2583f5d3edd5",
"name": "驾驶舱",
"items": [],
"childSections": []
}
]
}
}响应字段说明
| 字段 | 类型 | 说明 |
|---|---|---|
| organizationId | string | 组织 ID |
| appId | string | 应用 ID |
| name | string | 应用名称 |
| iconUrl | string | 图标地址 |
| color | string | 图标颜色 |
| desc | string | 应用描述 |
| sections | array | 分组信息 |
分组信息结构
json
{
"id": "分组ID",
"name": "分组名称",
"items": [
{
"id": "应用项ID",
"name": "应用项名称",
"type": "应用项类型 0:工作表、1:自定义页面、2:子分组",
"iconUrl": "应用项图标地址",
"status": 1,
"alias": "工作表别名",
"notes": "开发者备注"
}
],
"childSections": []
}相关文档
维护负责人:技术部
最后更新:2025-01-19